echo '++++++++++++++++++++++++++++++++++++++++++++++++'
echo '++++++          MMD_LSAE: PowerSupply        ++++++'
echo '++++++++++++++++++++++++++++++++++++++++++++++++'

for seed in 0
do
  echo "Running exp with $seed"
  python main.py --gpu_ids 0 \
        --data_name PowerSupply \
        --data_path '/home/haohuawang/blmc/data/powersupply.arff' \
        --num_classes 2 \
        --data_size '[1, 2]' \
        --source-domains 15 \
        --intermediate-domains 5 \
        --target-domains 10 \
        --mode train \
        --model-func TOY_LINEAR_FE \
        --epochs 100 \
        --iterations 200 \
        --train_batch_size 48 \
        --eval_batch_size 24 \
        --test_epoch -1 \
        --algorithm MMD_LSAE \
        --zc-dim 20 \
        --zw-dim 20 \
        --seed $seed \
        --save_path './logs/PowerSupply/MMD_LSAE' \
        --record
  echo "=================="
done